Index: libcfa/src/concurrency/actor.hfa
===================================================================
--- libcfa/src/concurrency/actor.hfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ libcfa/src/concurrency/actor.hfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -113,5 +113,4 @@
 		return buffer[old_idx];
 	}
-	request * ret = 0p;
 	return *0p;
 }
@@ -147,4 +146,6 @@
 	id = i;
 	missed = 0;
+	#else
+	(void) i;
 	#endif
 }
@@ -715,7 +716,7 @@
 struct finished_msg_t { inline message; } finished_msg = __base_msg_finished;
 
-allocation receive( actor & this, delete_msg_t & ) { return Delete; }
-allocation receive( actor & this, destroy_msg_t & ) { return Destroy; }
-allocation receive( actor & this, finished_msg_t & ) { return Finished; }
+allocation receive( actor &, delete_msg_t & ) { return Delete; }
+allocation receive( actor &, destroy_msg_t & ) { return Destroy; }
+allocation receive( actor &, finished_msg_t & ) { return Finished; }
 
 // Default messages used all the time.
Index: tests/Makefile.am
===================================================================
--- tests/Makefile.am	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/Makefile.am	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -62,5 +62,4 @@
 WFLGAS_OPT_LAX_TO_INVESTIGATE = \
 	attributes \
-	collections/atomic_mpsc \
 	collections/queue \
 	collections/sequence \
@@ -90,17 +89,4 @@
 	concurrency/pthread/pthread_demo_lock \
 	concurrency/pthread/pthread_key_test \
-	concurrency/pthread/pthread_once_test \
-	concurrency/unified_locking/block_spin_lock \
-	concurrency/unified_locking/exp_backoff \
-	concurrency/unified_locking/fast_block_lock \
-	concurrency/unified_locking/futex_mutex \
-	concurrency/unified_locking/locks \
-	concurrency/unified_locking/mcs \
-	concurrency/unified_locking/mcs_block_spin_lock \
-	concurrency/unified_locking/mcs_spin \
-	concurrency/unified_locking/pthread_locks \
-	concurrency/unified_locking/simple_owner_lock \
-	concurrency/unified_locking/spin_queue_lock \
-	concurrency/unified_locking/timeout_lock \
 	concurrency/waituntil/all_types \
 	concurrency/waituntil/basic_else \
Index: tests/collections/atomic_mpsc.cfa
===================================================================
--- tests/collections/atomic_mpsc.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/collections/atomic_mpsc.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -33,5 +33,5 @@
 void wait(Producer & this) {
 	some_node node;
-	node.value = (unsigned)&this;
+	node.value = (uintptr_t)&this;
 	push(global_queue, &node);
 	wait(node.sem);
Index: tests/concurrency/actors/dynamic.cfa
===================================================================
--- tests/concurrency/actors/dynamic.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/actors/dynamic.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -19,5 +19,5 @@
 void ?{}( derived_msg & this ) { ((derived_msg &)this){ 0 }; }
 
-allocation receive( derived_actor & receiver, derived_msg & msg ) {
+allocation receive( derived_actor &, derived_msg & msg ) {
 	if ( msg.cnt >= Times ) {
 		sout | "Done";
Index: tests/concurrency/actors/inherit.cfa
===================================================================
--- tests/concurrency/actors/inherit.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/actors/inherit.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -21,8 +21,8 @@
 }
 
-allocation receive( Server & receiver, D_msg & msg ) { return handle(); }
-allocation receive( Server & receiver, D_msg2 & msg ) { return handle(); }
-allocation receive( Server2 & receiver, D_msg & msg ) { return Delete; }
-allocation receive( Server2 & receiver, D_msg2 & msg ) { return Delete; }
+allocation receive( Server &, D_msg & ) { return handle(); }
+allocation receive( Server &, D_msg2 & ) { return handle(); }
+allocation receive( Server2 &, D_msg & ) { return Delete; }
+allocation receive( Server2 &, D_msg2 & ) { return Delete; }
 
 int main() {
Index: tests/concurrency/actors/inline.cfa
===================================================================
--- tests/concurrency/actors/inline.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/actors/inline.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -50,7 +50,7 @@
 		d_msg2 dm{ 29079 };
 		set_allocation( dm, Nodelete );
-		msg_wrapper * mw = &dm;
-		message * mg = &dm;
-		virtual_dtor * v = &dm;
+		msg_wrapper * mw = &dm;		(void) mw;
+		message * mg = &dm;			(void) mg;
+		virtual_dtor * v = &dm;		(void) v;
 		da | dm;
 		actor_stop();								// waits until actors finish
Index: tests/concurrency/actors/pingpong.cfa
===================================================================
--- tests/concurrency/actors/pingpong.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/actors/pingpong.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -20,5 +20,5 @@
 size_t times = 100000;
 
-allocation receive( ping & receiver, p_msg & msg ) {
+allocation receive( ping &, p_msg & msg ) {
 	msg.count++;
 	if ( msg.count > times ) return Finished;
@@ -30,5 +30,5 @@
 }
 
-allocation receive( pong & receiver, p_msg & msg ) {
+allocation receive( pong &, p_msg & msg ) {
 	msg.count++;
 	if ( msg.count > times ) return Finished;
@@ -42,5 +42,5 @@
 size_t Processors = 2;
 
-int main( int argc, char * argv[] ) {
+int main() {
 	sout | "start";
 
Index: tests/concurrency/actors/types.cfa
===================================================================
--- tests/concurrency/actors/types.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/actors/types.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -36,5 +36,5 @@
 };
 
-allocation receive( derived_actor2 & receiver, d_msg & msg ) {
+allocation receive( derived_actor2 &, d_msg & msg ) {
 	mutex(sout) sout | msg.num;
 	return Finished;
@@ -48,5 +48,5 @@
 };
 
-allocation receive( derived_actor3 & receiver, d_msg & msg ) {
+allocation receive( derived_actor3 &, d_msg & msg ) {
 	mutex(sout) sout | msg.num;
 	if ( msg.num == -1 ) return Nodelete;
@@ -54,5 +54,5 @@
 }
 
-allocation receive( derived_actor3 & receiver, d_msg2 & msg ) {
+allocation receive( derived_actor3 &, d_msg2 & msg ) {
 	mutex(sout) sout | msg.num;
 	return Finished;
@@ -61,5 +61,5 @@
 size_t Processors = 3;
 
-int main( int argc, char * argv[] ) {
+int main() {
 	sout | "start";
 
Index: tests/concurrency/pthread/bounded_buffer.cfa
===================================================================
--- tests/concurrency/pthread/bounded_buffer.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/pthread/bounded_buffer.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -126,5 +126,5 @@
                 exit( EXIT_FAILURE );
             } // if
-            if ( (uint64_t)result != 0 ) {
+            if ( result != 0p ) {
                 sout | "producers" | prods[i] |" bad return value " | result;
                 exit( EXIT_FAILURE );
@@ -142,5 +142,5 @@
                 exit( EXIT_FAILURE );
             } // if
-            if ( (uint64_t)result != 0 ) {
+            if ( result != 0p ) {
                 sout| "consumers bad return value" | result;
                 exit( EXIT_FAILURE );
Index: tests/concurrency/pthread/pthread_demo_lock.cfa
===================================================================
--- tests/concurrency/pthread/pthread_demo_lock.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/pthread/pthread_demo_lock.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -15,5 +15,5 @@
 // unlocked increnment
 void* inc_unlock(void* cnt){
-    for (int i = 0; i < (uint64_t)cnt; i++){
+    for (uintptr_t i = 0; i < (uintptr_t)cnt; i++){
         cnt_nolock++;
     }   // for
@@ -23,5 +23,5 @@
 void* inc_lock(void* cnt){
     pthread_mutex_lock(&_mutex);
-    for (int i = 0; i < (uint64_t)cnt; i++){
+    for (uintptr_t i = 0; i < (uintptr_t)cnt; i++){
         cnt_lock++;
     }   // for
@@ -73,5 +73,5 @@
     sout | "in trylocktest2 res2 is" | res;
     pthread_mutex_lock(&_mutex);
-    for (int i = 0; i < (uint64_t)arg; i++) cnt_trylock++;
+    for (uintptr_t i = 0; i < (uintptr_t)arg; i++) cnt_trylock++;
     pthread_mutex_unlock(&_mutex);
     return NULL;
@@ -87,5 +87,5 @@
 
     // inc cnt then release the lock
-    for (int i = 0; i < (uint64_t)arg; i++) cnt_trylock++;
+    for (uintptr_t i = 0; i < (uintptr_t)arg; i++) cnt_trylock++;
     pthread_mutex_unlock(&_mutex);
     pthread_mutex_unlock(&_mutex);
@@ -113,5 +113,5 @@
 
 
-int main(int argc, char const *argv[])
+int main()
 {
     
Index: tests/concurrency/pthread/pthread_once_test.cfa
===================================================================
--- tests/concurrency/pthread/pthread_once_test.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/pthread/pthread_once_test.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -74,6 +74,6 @@
                                                                                         
             if (thread_stat[i] != 0)                                                    
-                printf("bad thread status, thread %d, status=%d\n", i+1,                
-                                                        (int)thread_stat[i]);             
+                printf("bad thread status, thread %d, status=%zu\n", i+1,                
+                                                        (size_t)thread_stat[i]);             
         }                                                                             
                                                                                         
Index: tests/concurrency/unified_locking/mcs.cfa
===================================================================
--- tests/concurrency/unified_locking/mcs.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/unified_locking/mcs.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -22,5 +22,5 @@
 unsigned cs() {
 	thread$ * me = active_thread();
-	unsigned value = (unsigned)me;
+	unsigned value = (uintptr_t)me;
 	mcs_node n;
 	lock(mo.l, n);
Index: tests/concurrency/unified_locking/mcs_spin.cfa
===================================================================
--- tests/concurrency/unified_locking/mcs_spin.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/unified_locking/mcs_spin.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -32,5 +32,5 @@
 		mo.id = me;
 		yield(random(5));
-		value = ((uint32_t)random()) ^ ((uint32_t)me);
+		value = ((uint32_t)random()) ^ ((uint32_t)(uintptr_t)me);
 		if(mo.id != me) sout | "Intruder!";
 		mo.cnt = cnt + 1;
Index: tests/concurrency/unified_locking/mutex_test.hfa
===================================================================
--- tests/concurrency/unified_locking/mutex_test.hfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/unified_locking/mutex_test.hfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -32,5 +32,5 @@
 		mo.id = me;
 		yield(random(5));
-		value = ((uint32_t)random()) ^ ((uint32_t)me);
+		value = ((uint32_t)random()) ^ ((uint32_t)(uintptr_t)me);
 		if(mo.id != me) sout | "Intruder!";
 		mo.cnt = cnt + 1;
Index: tests/concurrency/unified_locking/timeout_lock.cfa
===================================================================
--- tests/concurrency/unified_locking/timeout_lock.cfa	(revision 267b543340346faf067bb9f0fd51c75385f2ce72)
+++ tests/concurrency/unified_locking/timeout_lock.cfa	(revision 6a6e205dc434bc9868c1018598b6e19e86a80c3b)
@@ -23,5 +23,5 @@
 thread T1 {};
 
-void main( T1 & this ) {
+void main( T1 & ) {
 	lock(m);
 	wait( c_m, m, 1`s );
@@ -46,5 +46,5 @@
 thread T2 {};
 
-void main( T2 & this ) {
+void main( T2 & ) {
 	block();
 
